net.corda.core.messaging

## Class StateMachineInfo

- net.corda.core.messaging.StateMachineInfo

-     public class StateMachineInfo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateMachineInfo(StateMachineRunId id, java.lang.String flowLogicClassName, kotlin.Pair<java.lang.String,? extends rx.Observable<java.lang.String>> progressTrackerStepAndUpdates)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateMachineRunId` | `component1()`
    `java.lang.String` | `component2()`
    `kotlin.Pair<java.lang.String,rx.Observable>` | `component3()`
    `StateMachineInfo` | `copy(StateMachineRunId id, java.lang.String flowLogicClassName, kotlin.Pair<java.lang.String,? extends rx.Observable<java.lang.String>> progressTrackerStepAndUpdates)`
    `boolean` | `equals(java.lang.Object p)`
    `java.lang.String` | `getFlowLogicClassName()`
    `StateMachineRunId` | `getId()`
    `kotlin.Pair<java.lang.String,rx.Observable>` | `getProgressTrackerStepAndUpdates()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### StateMachineInfo

          public StateMachineInfo(StateMachineRunId id,
                                  java.lang.String flowLogicClassName,
                                  kotlin.Pair<java.lang.String,? extends rx.Observable<java.lang.String>> progressTrackerStepAndUpdates)

  - ### Method Detail

    - #### getId

          public StateMachineRunId getId()

    - #### getFlowLogicClassName

          public java.lang.String getFlowLogicClassName()

    - #### getProgressTrackerStepAndUpdates

          public kotlin.Pair<java.lang.String,rx.Observable> getProgressTrackerStepAndUpdates()

    - #### component1

          public StateMachineRunId component1()

    - #### component2

          public java.lang.String component2()

    - #### component3

          public kotlin.Pair<java.lang.String,rx.Observable> component3()

    - #### copy

          public StateMachineInfo copy(StateMachineRunId id,
                                       java.lang.String flowLogicClassName,
                                       kotlin.Pair<java.lang.String,? extends rx.Observable<java.lang.String>> progressTrackerStepAndUpdates)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)